basement-0.0.4: Foundation scrap box of array & string

Safe Haskell | None
Language | Haskell2010

Basement.Compat.ExtList

Synopsis

- length :: [a] -> CountOf a
- null :: [a] -> Bool
- sum :: Additive n => [n] -> n
- reverse :: [a] -> [a]
- (!!) :: [a] -> Offset a -> a

# Documentation

length :: [a] -> CountOf a Source #

Compute the size of the list

null :: [a] -> Bool Source #

sum :: Additive n => [n] -> n Source #

Sum the element in a list

reverse :: [a] -> [a] Source #

(!!) :: [a] -> Offset a -> a Source #